; disable Zend Engine 1 compatibility
zend.ze1_compatibility_mode = Off

; disable unnecessary open tags
short_open_tag = Off
asp_tags = Off

; safe mode must be off
safe_mode = Off
sql.safe_mode = Off
open_basedir = none

; allow uploads and set limits
file_uploads = On
upload_max_filesize = 20M
post_max_size = 22M

; disable magic quotes
magic_quotes_gpc = Off
magic_quotes_runtime = Off

; maximum execution time of each script, in seconds
max_execution_time = 30

; maximum amount of time each script may spend parsing request data
max_input_time = 60

; set memory limit
memory_limit = 32M

; setup error reporting settings
error_reporting  =  E_ALL
display_errors = On
display_startup_errors = Off
log_errors = On
track_errors = On

; allow URLs fopen, but disable including
allow_url_fopen = On
allow_url_include = Off

; set socket timeout
default_socket_timeout = 60

; default internal encoding
mbstring.internal_encoding=UTF-8

; turn off registration of globals
register_globals = Off
